#ifndef defs_h
#define defs_h

#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <string.h>

struct Pixel
{
  unsigned char red;
  unsigned char green;
  unsigned char blue;
};

typedef struct Pixel pixel;

extern pixel **colors;

/* functions in double.c */
extern void process(char *filename, int *height, int *width, int *maxval,
		    pixel ***colors);
extern void cleanup(pixel **what, int height);
extern void magnify(int height, int width);
extern void dump(char *filename, int height, int width, int maxval,
		 pixel **grid);

/*functions in block.c */
extern int roundup(float num);
extern void dump_block(char *filename, int height, int width, int
		       StartVert, int StartHoriz, int maxval);
extern void dump_into_blocks(char *filebase, int height, int width,
			     int maxval);

/* functions in concat.c */
extern void concat_files(char *filenames[4]);

#endif
